Bug 488720 - Support HEAD requests
Support HEAD requests
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
rhn509
All Linux
low Severity medium
: ---
: ---
Assigned To: Bryan Kearney
Red Hat Network Quality Assurance
US=79072
:
Depends On:
Blocks: 486586
  Show dependency treegraph
 
Reported: 2009-03-05 08:36 EST by James Bowes
Modified: 2013-01-10 05:01 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-16 08:52:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Bowes 2009-03-05 08:36:27 EST
For any GET requests, we also need to support HEAD requests, for download resumption.
Comment 1 James Bowes 2009-03-05 14:06:27 EST
To Test:
 * Ensure regular GET requests still work against origin by pointing the fake cdn 
   at origin and running some requests
 * Ensure other GET requests still work (download a package with up2date, for  
   instance)
 * use fake-akamai.cgi --cli --head --verbose to issue a HEAD request against 
   origin, and verify that the file you "download" is empty
Comment 2 Amy Owens 2009-03-05 14:14:43 EST
adding another test- do wget of a dvd iso that you know that akamai does not have and resume- make sure you do not get 500 error
Comment 3 Amy Owens 2009-03-05 14:38:54 EST
* test 1 - PASS

* test 3 -  ./fake-akamai.cgi --cli --head --verbose https://origin.rhn.webdev.redhat.com/ /rhn/public/NULL/zsh/4.2.5-2/x86_64/zsh-4.2.5-2.x86_64.rpm
HTTP 200 OK
Headers:
    content-length: 1829062
    via: 1.1 origin.rhn.webdev.redhat.com
    server: Apache/1.3.27 (Unix)  (Red-Hat/Linux) mod_python/2.7.11 Python/2.3.4 mod_perl/1.29
    last-modified: Thu, 31 Aug 2006 22:23:17 GMT
    connection: close
    date: Thu, 05 Mar 2009 19:37:28 GMT
    content-type: application/octet-stream

File:
-rw-r--r-- 1 root root      0 Mar  5 14:37 zsh-4.2.5-2.x86_64.rpm

PASS
Comment 4 Amy Owens 2009-03-05 14:42:02 EST
all set with test case 3- qa complete on trunk (dev)

Note You need to log in before you can comment on or make changes to this bug.